Gecode::FlatZinc::AST Namespace Reference

Abstract syntax trees for the FlatZinc interpreter. More...

## Classes

class | TypeError
| Exception signaling type error More...
class | Node
| A node in a FlatZinc abstract syntax tree. More...
class | BoolLit
| Boolean literal node. More...
class | IntLit
| Integer literal node. More...
class | FloatLit
| Float literal node. More...
class | SetLit
| Set literal node More...
class | Var
| Variable node base class. More...
class | BoolVar
| Boolean variable node. More...
class | IntVar
| Integer variable node. More...
class | FloatVar
| Float variable node. More...
class | SetVar
| Set variable node More...
class | Array
| Array node More...
class | Call
| Node representing a function call More...
class | ArrayAccess
| Node representing an array access More...
class | Atom
| Node representing an atom More...
class | String
| String node More...

## Functions

Node * | extractSingleton (Node *n)

## Detailed Description

Abstract syntax trees for the FlatZinc interpreter.

## Function Documentation

## extractSingleton()

Node * Gecode::FlatZinc::AST::extractSingleton | ( | Node * | n | ) |

inline

Definition at line 515 of file ast.hh.